import QueryForm from "@/components/QueryForm"
import { useAjax } from "@/Hook/useAjax"
import { EverydayListType, getPromoteDayListApi, getPromoteDayTotalApi } from "@/services/gameData/extensionData"
import React, { useEffect, useState } from "react"
import TableData from "../../components/TableData"
import columns12 from "./tableConfig"
import { getGameChoiceParentListType1Api } from "@/services/gameData"


const Everyday: React.FC = () => {

    /***************************/
    const [queryForm, setQueryForm] = useState<EverydayListType>({ pageNum: 1, pageSize: 20 })
    const [gameType, setGameType] = useState<any>({})
    const [totalData, setTotalData] = useState<any[]>([])

    const getPromoteDayList = useAjax((params) => getPromoteDayListApi(params))
    const getPromoteDayTotal = useAjax((params) => getPromoteDayTotalApi(params))
    const getGameChoiceParentListType1 = useAjax(() => getGameChoiceParentListType1Api())
    /***************************/

    useEffect(() => {
        getPromoteDayTotal.run(queryForm).then(res => {
            res.id = 1
            res.accountId = '总计'
            setTotalData([res])
        })
        getPromoteDayList.run(queryForm)
    }, [queryForm])

    useEffect(() => {
        getGameChoiceParentListType1.run().then(res => {
            let newType: any = {}
            res.forEach((item: { id: number, name: string }) => {
                newType[item.id] = item.name
            })
            setGameType(newType)
        })
    }, [])

    return <div>
        <TableData
            leftChild={<QueryForm
                onChange={(data: any) => {
                    const { pitcherId, costBeginDay, costEndDay, ...params } = data
                    console.log(params, pitcherId)
                    let newQueryForm = JSON.parse(JSON.stringify(queryForm))
                    newQueryForm.pageNum = 1
                    newQueryForm.sysUserId = pitcherId
                    newQueryForm.beginDay = costBeginDay
                    newQueryForm.endDay = costEndDay
                    setQueryForm({ ...newQueryForm, ...params })
                }}
                isAccountId
                isAgentId
                isConsumeDay
                isCpName
                isGameName
                isGameType
                isSysUserId
            />}
            isZj
            totalData={totalData}
            scroll={{ x: 1000, y: 600 }}
            ajax={getPromoteDayList}
            fixed={{ left: 5, right: 0 }}
            dataSource={getPromoteDayList?.data?.records}
            total={getPromoteDayList?.data?.total}
            page={queryForm.pageNum}
            pageSize={queryForm.pageSize}
            title='推广每日数据'
            onChange={(props: any) => {
                console.log('props--->', props)
                let { pagination, sortData } = props
                let { current, pageSize } = pagination
                let newQueryForm = JSON.parse(JSON.stringify(queryForm))
                if (sortData && sortData?.order) {
                    newQueryForm['sortType'] = sortData?.order === 'ascend' ? 'asc' : 'desc'
                    newQueryForm['sortFiled'] = sortData?.field
                } else {
                    delete newQueryForm['sortType']
                    delete newQueryForm['sortFiled']
                }
                newQueryForm.pageNum = current
                newQueryForm.pageSize = pageSize
                setQueryForm({ ...newQueryForm })
            }}
            config={columns12(gameType)}
            configName={'推广每日数据'}
        />
    </div>
}

export default Everyday