import { request } from 'umi';
import { api } from '../api';
import { Paging, SortProps } from './rankingList';
let wapi = api + '/gameData'

export interface GameWaterProps extends Paging, SortProps {
    gameClassify?: string,
    gameName?: string,
    rechargeDate?: string
}
/**
 * 每日流水贡献
 * @param data 
 * @returns 
 */
export async function getGameWaterListApi(data: GameWaterProps) {
    return request(wapi + `/gameData/water`, {
        method: 'POST',
        data
    });
}

export interface GameTotalProps extends Paging, SortProps {
    gameClassify?: string,
    gameName?: string,
    // 充值开始时间
    rechargeBeginDate?: string
    rechargeEndDate?: string
    // 注册开始时间
    registeredBeginDate?: string
    registeredEndDate?: string
}
/**
 * 游戏总数据
 * @param data 
 * @returns 
 */
export async function getGameTotalListApi(data: GameTotalProps) {
    return request(wapi + `/gameData/total`, {
        method: 'POST',
        data
    });
}

export type GameDayProps = Omit<GameTotalProps, 'rechargeBeginDate' | 'rechargeEndDate'>
/**
 * 游戏每日数据
 * @param data 
 * @returns 
 */
export async function getGameDayListApi(data: GameDayProps) {
    return request(wapi + `/gameData/day`, {
        method: 'POST',
        data
    });
}